org.jboss.jca.deployers.fungal

## Class RAActivator

- java.lang.Object
- - org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer
  - - org.jboss.jca.deployers.fungal.AbstractFungalRADeployer
    - - org.jboss.jca.deployers.fungal.RAActivator

- All Implemented Interfaces:
    com.github.fungal.spi.deployers.DeployerPhases

      public final class RAActivator
      extends AbstractFungalRADeployer
      implements com.github.fungal.spi.deployers.DeployerPhases

  The RA activator for JCA/SJC
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.deployers.fungal.AbstractFungalRADeployer

      `kernel`

    - ### Fields inherited from class org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer

      `validateClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RAActivator()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkActivation(org.jboss.jca.common.api.metadata.spec.Connector cmd, org.jboss.jca.common.api.metadata.resourceadapter.Activation activation)` Check if the resource adapter should be activated based on the ironjacamar.xml input
    `java.util.Set<java.lang.String>` | `getExcludeArchives()` Get the exclude archives
    `protected org.jboss.jca.deployers.DeployersLogger` | `getLogger()` Get the logger
    `boolean` | `isEnabled()` Is enabled
    `void` | `postDeploy()` Post deploy
    `void` | `postUndeploy()` Post undeploy
    `void` | `preDeploy()` Pre deploy
    `void` | `preUndeploy()` Pre undeploy
    `protected boolean` | `requireExplicitJndiBindings()` Require explicit JNDI bindings
    `void` | `setEnabled(boolean value)` Set the eanbled flag
    `void` | `setExcludeArchives(java.util.Set<java.lang.String> archives)` Set the exclude archives

    - ### Methods inherited from class org.jboss.jca.deployers.fungal.AbstractFungalRADeployer

      `bindAdminObject, bindAdminObject, bindConnectionFactory, bindConnectionFactory, checkConfigurationIsValid, getCachedConnectionManager, getKernel, getLogPrintWriter, getReportDirectory, getSubjectFactory, getTransactionIntegration, getTransactionManager, getUrls, initAndInject, registerManagementView, registerResourceAdapterToMDR, registerResourceAdapterToResourceAdapterRepository, setKernel, setRecoveryForResourceAdapterInResourceAdapterRepository, start`

    - ### Methods inherited from class org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer

      `applyCapacity, associateResourceAdapter, buildJndiName, createCallback, createObjectsAndInjectValue, createPoolConfiguration, createSubject, findAdminObjects, findConnectionDefinitions, getBeanValidation, getConfiguration, hasFailuresLevel, initActivationSpec, initAdminObject, printFailuresLog, scanArchive, setCallbackSecurity, setConfiguration, startContext, validateArchive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RAActivator

          public RAActivator()

      Constructor

  - ### Method Detail

    - #### getLogger

          protected org.jboss.jca.deployers.DeployersLogger getLogger()

      Get the logger
      Specified by:
        `getLogger` in class `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Returns:
        The value

    - #### getExcludeArchives

          public java.util.Set<java.lang.String> getExcludeArchives()

      Get the exclude archives
      Returns:
        The archives

    - #### setExcludeArchives

          public void setExcludeArchives(java.util.Set<java.lang.String> archives)

      Set the exclude archives
      Parameters:
        `archives` - The archives

    - #### isEnabled

          public boolean isEnabled()

      Is enabled
      Returns:
        True if enabled; otherwise false

    - #### setEnabled

          public void setEnabled(boolean value)

      Set the eanbled flag
      Parameters:
        `value` - The value

    - #### preDeploy

          public void preDeploy()
                         throws java.lang.Throwable

      Pre deploy
      Specified by:
        `preDeploy` in interface `com.github.fungal.spi.deployers.DeployerPhases`
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### postDeploy

          public void postDeploy()
                          throws java.lang.Throwable

      Post deploy
      Specified by:
        `postDeploy` in interface `com.github.fungal.spi.deployers.DeployerPhases`
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### preUndeploy

          public void preUndeploy()
                           throws java.lang.Throwable

      Pre undeploy
      Specified by:
        `preUndeploy` in interface `com.github.fungal.spi.deployers.DeployerPhases`
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### postUndeploy

          public void postUndeploy()
                            throws java.lang.Throwable

      Post undeploy
      Specified by:
        `postUndeploy` in interface `com.github.fungal.spi.deployers.DeployerPhases`
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### requireExplicitJndiBindings

          protected boolean requireExplicitJndiBindings()

      Description copied from class: `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Require explicit JNDI bindings
      Overrides:
        `requireExplicitJndiBindings` in class `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Returns:
        True if explicit JNDI bindings are required; otherwise false

    - #### checkActivation

          protected boolean checkActivation(org.jboss.jca.common.api.metadata.spec.Connector cmd,
                                            org.jboss.jca.common.api.metadata.resourceadapter.Activation activation)

      Description copied from class: `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Check if the resource adapter should be activated based on the ironjacamar.xml input
      Specified by:
        `checkActivation` in class `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Parameters:
        `cmd` - cmd cmd The connector metadata
        `activation` - The activation metadata
      Returns:
        True if the deployment should be activated; otherwise false

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)